Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.ml.prg.extension
Class ParamTemplate

    java.lang.Object
      org.encog.ml.prg.extension.ParamTemplate

All Implemented Interfaces:
  Serializable

    public class ParamTemplate

extends Object
implements Serializable

Provides a template for parameters to the opcodes. This defines the accepted types and if type of a given parameter passes through to the return type.

See Also:
  Serialized Form

Constructor Summary
`ParamTemplate()` Default constructor.

Method Summary
`void` | `addAllTypes()` Add all known types.
`void` | `addType(String theType)` Add the specified type.
`void` | `addType(ValueType theType)` Add a type using a type enum.
`List<ValueType>` | `determineArgumentTypes(List<ValueType> parentTypes)` Determine the possable argument types, given the parent types.
`Set<ValueType>` | `getPossibleTypes()`
`boolean` | `isPassThrough()`
`void` | `setPassThrough(boolean passThrough)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParamTemplate

    public ParamTemplate()

  Default constructor.

Method Detail

### addAllTypes

    public void addAllTypes()

  Add all known types.

### addType

    public void addType(String theType)

  Add the specified type.

  Parameters:
    `theType` - The type to add.

### addType

    public void addType(ValueType theType)

  Add a type using a type enum.

  Parameters:
    `theType` - The type to add.

### determineArgumentTypes

    public List<ValueType> determineArgumentTypes(List<ValueType> parentTypes)

  Determine the possable argument types, given the parent types.

  Parameters:
    `parentTypes` - The parent types.
  Returns:
    The possable types.

### getPossibleTypes

    public Set<ValueType> getPossibleTypes()

  Returns:
    the possibleTypes

### isPassThrough

    public boolean isPassThrough()

  Returns:
    the passThrough

### setPassThrough

    public void setPassThrough(boolean passThrough)

  Parameters:
    `passThrough` - the passThrough to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.